Package weka.gui.beans

# Class TestSetMakerBeanInfo

java.lang.Object
java.beans.SimpleBeanInfo
weka.gui.beans.AbstractTestSetProducerBeanInfo
weka.gui.beans.TestSetMakerBeanInfo

All Implemented Interfaces:
  `BeanInfo`

public class TestSetMakerBeanInfo extends AbstractTestSetProducerBeanInfo
Bean info class for the test set maker bean. Essentially just hides gui related properties

Version:
  $Revision: 1.2 $
Author:
  Mark Hall

## Field Summary

### Fields inherited from interface java.beans.BeanInfo

`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

## Constructor Summary

Constructors
Constructor
Description
`TestSetMakerBeanInfo()`

## Method Summary

### Methods inherited from class weka.gui.beans.AbstractTestSetProducerBeanInfo

`getEventSetDescriptors`

### Methods inherited from class java.beans.SimpleBeanInfo

`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getIcon, getMethodDescriptors, getPropertyDescriptors, loadImage`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TestSetMakerBeanInfo

public TestSetMakerBeanInfo()